<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoItem;

/**
 * Class ApontamentoVeiculoGastoItemTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class ApontamentoVeiculoGastoItemTransformer extends TransformerAbstract
{
    /**
     * Transform the ApontamentoVeiculoGastoItem entity.
     *
     * @param \Schaffen\Gef\Models\ApontamentoVeiculoGastoItem $model
     *
     * @return array
     */
    public function transform(ApontamentoVeiculoGastoItem $model)
    {
        return [
            'id'         => (int) $model->id,

            /* place your other model properties here */

            'created_at' => $model->created_at,
            'updated_at' => $model->updated_at
        ];
    }
}
